gr::gsm::extract_assignment_cmd Class Referenceabstract

<+description of block+> More...

`#include <extract_assignment_cmd.h>`

Inheritance diagram for gr::gsm::extract_assignment_cmd:

## Public Types

typedef std::shared_ptr< extract_assignment_cmd > | sptr

## Public Member Functions

virtual std::vector< int > | get_assignment_commands ()=0

## Static Public Member Functions

static sptr | make ()
| Return a shared_ptr to a new instance of gsm::extract_assignment_cmd.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<extract_assignment_cmd> gr::gsm::extract_assignment_cmd::sptr

## Member Function Documentation

## get_assignment_commands()

virtual std::vector< int > gr::gsm::extract_assignment_cmd::get_assignment_commands | ( |  | ) |

pure virtual

Implemented in gr::gsm::extract_assignment_cmd_impl.

## make()

sptr gr::gsm::extract_assignment_cmd::make | ( |  | ) |

static

Return a shared_ptr to a new instance of gsm::extract_assignment_cmd.

To avoid accidental use of raw pointers, gsm::extract_assignment_cmd's constructor is in a private implementation class. gsm::extract_assignment_cmd::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- extract_assignment_cmd.h